Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156410 - ccs/cman/fenced all start by default and fail
Summary: ccs/cman/fenced all start by default and fail
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cman
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker 156922
TreeView+ depends on / blocked
 
Reported: 2005-04-29 21:01 UTC by Bill Nottingham
Modified: 2014-03-17 02:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-22 05:09:26 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-04-29 21:01:25 UTC
They shouldn't be running by default.

Comment 1 Jonathan Earl Brassow 2005-05-05 15:05:11 UTC
In RHEL, the packages are in a subchannel.  In FC, they are in core.  This makes the difference between 
why they should be on by default or off.

In the case of bug 156922, ccsd "spams" to syslog complaining that it can't connec to the cluster.  In 
FC, the user may never intend to set up a cluster.

Comment 2 Adam "mantis" Manthei 2005-05-05 15:43:22 UTC
If they shouldn't be running by default, then they probably shouldn't be
installed on the system.  A little more detail as to why you think your opinion
is the correct behavior would be helpfull.

The scripts are designed so that once the cluster is configured, a node will
automatically be able to become a part of it without any additional
configuration.  I do not see any justification for changing the init script
behavior at this time.  

The correct person to pawn this bug off on is either the rpm package
maintainer(s) (where chkcofig --add is being called) or the FC installer maintainer.

Comment 3 Joe Orton 2005-05-05 15:56:49 UTC
I think correct behaviour is to change the chkconfig lines in the init scripts
such that the services do not start by default in any runlevels, i.e.

# chkconfig: - 20 80

whatever tool performs cluster configuration should do "chkconfig ccsd on" or
equivalent to then enable these services in appropriate runlevels on the machine.

Comment 4 Chris Feist 2005-05-05 16:18:37 UTC
This should be fixed in ccs-0.25-0.3 and beyond.

Note: we only turn of the init scripts on new installs (so if you upgrade ccsd
will still attempt to start).  You can disable the ccsd init script manually by
running '/sbin/chkconfig ccsd off'.


Note You need to log in before you can comment on or make changes to this bug.